Problema per gli aggiornamenti della protezione 3098779 e 3097997 per il.NET Framework 4.5.1 e 4.5.2 noto, dopo l'installazione di 4.6 di.NET Framework in Windows 8.1, 8.1 RT Windows e Windows Server 2012 R2

IMPORTANTE: il presente articolo è stato tradotto tramite un software di traduzione automatica di Microsoft ed eventualmente revisionato dalla community Microsoft tramite la tecnologia CTF (Community Translation Framework) o da un traduttore professionista. Microsoft offre articoli tradotti manualmente e altri tradotti automaticamente e rivisti dalla community con l’obiettivo di consentire all'utente di accedere a tutti gli articoli della Knowledge Base nella propria lingua. Tuttavia, un articolo tradotto automaticamente, anche se rivisto dalla community, non sempre è perfetto. Potrebbe contenere errori di vocabolario, di sintassi o di grammatica. Microsoft declina ogni responsabilità per imprecisioni, errori o danni causati da una traduzione sbagliata o dal relativo utilizzo da parte dei clienti. Microsoft aggiorna frequentemente il software e gli strumenti di traduzione automatica per continuare a migliorare la qualità della traduzione.

Clicca qui per visualizzare la versione originale in inglese dell’articolo: 3118750
Sommario
Clienti che aggiornano il.NET Framework 4.5.1 o 4.5.2 per il 4.6 di.NET Framework o che sta installando Visual Studio 2015 dopo l'installazione degli aggiornamenti 3098779 e 3097997 potrebbero verificarsi problemi durante l'esecuzione di applicazioni.NET Framework.

Inoltre, i clienti che utilizzano un sistema che ha il i.NET Framework Microsoft 4.6 installato e che applicare manualmente gli aggiornamenti della protezione 3098779 e 3097997 per la i.NET Framework Microsoft 4.5.1 e 4.5.2 su Windows 8.1, 8.1 RT Windows e Windows Server 2012 R2 potrebbero verificarsi problemi durante l'esecuzione di applicazioni.NET Framework.

Nota I sistemi operativi meno recenti che dispongono di.NET Framework 4.5.1 o 4.5.2 installati non sono interessati da questo problema perché gli aggiornamenti della protezione 3098779 e 3097997 non si applicano a tali.
Sintomi

Scenario 1

  • Si utilizzano il.NET Framework 4.5.1 o 4.5.2 Windows 8.1, 8.1 RT Windows o Windows Server 2012 R2.
  • È stato installato tutti gli aggiornamenti più recenti per il.NET Framework 4.5.1 e 4.5.2. Ciò include gli aggiornamenti 3098779 e 3097997.
  • Scaricare e installare il.NET Framework 4.6 oppure installare Microsoft Visual Studio 2015.
In questo scenario, alcuni componenti di 4.6 di.NET Framework non vengono aggiornati come previsto o alcune applicazioni di.NET Framework non vengono avviano o non vengono eseguiti correttamente.

Scenario 2

  • Si utilizza il 4.6 di.NET Framework in Windows Server 2012 R2, Windows RT 8.1 o 8.1 di Windows.
  • Applicare manualmente gli aggiornamenti 3098779 e 3097997 o qualsiasi altro tipo di aggiornamento non è destinato il 4.6 di.NET Framework, anche se questi aggiornamenti sono destinati i.NET Framework 4.5.1 e 4.5.2.

    NotaSi tratta di uno scenario non supportato. Per ulteriori informazioni su come determinare la corretta applicazione di un aggiornamento di Microsoft.NET Framework, vedere l'articolo della Microsoft Knowledge Base 3136092.
In questo scenario, alcune applicazioni di.NET Framework non vengono avviano o non vengono eseguiti correttamente.
Risoluzione

Risoluzione per lo scenario 1

I clienti possono risolvere questi problemi con l'aggiornamento a di.NET Framework 4.6.1 dai seguenti siti Web Microsoft Download Center:

In alternativa, i clienti possono disinstallare 3098779 e 3097997 se sono aggiornati i sistemi a 4.6 di di.NET Framework o installato Visual Studio 2015 aggiornata completamente .NET 4.5.1 o 4.5.2 sistema sono gli aggiornamenti 3098779 e 3097997 installato.

I clienti devono quindi ripetere l'analisi di Windows Update e scaricare e installare aggiornamenti 3098785 e 3098000. Si tratta di corrispondente Microsoft Security Bulletin MS15-118 aggiornamenti per la 4.6 di.NET Framework su Windows Server 2012 R2, Windows RT 8.1 o 8.1 di Windows. Questa azione consente di correggere la mancata corrispondenza di versione.

Risoluzione per lo scenario 2

Gli utenti che installano manualmente gli aggiornamenti 3098779 e 3097997 su sistemi che dispongono di 4.6 di.NET Framework installato devono essere consapevoli che non si tratta di uno scenario supportato. Questi aggiornamenti non sono applicano per il 4.6 di.NET Framework.

Pertanto, i clienti che utilizzano il 4.6 di.NET Framework devono disinstallare gli aggiornamenti 3098779 e 3097997. I clienti devono quindi ripetere l'analisi di Windows Update e installare solo gli aggiornamenti che riguardano il 4.6 di.NET Framework. Questa azione consente di correggere la mancata corrispondenza di versione.

Allo stesso modo i clienti che utilizzano 4.5.1 o 4.5.2 il .NET devono assicurarsi che non sono presenti aggiornamenti che sono applicabili a qualsiasi altra versione di.NET Framework installata nei loro sistemi. Ad esempio, gli aggiornamenti che sono destinati i 4.6 di.NET Framework non applicare ai sistemi che hanno 4.5.1 o 4.5.2 installata di .NET. Per ulteriori informazioni sulle modalità di determinare la corretta applicazione per gli aggiornamenti, i.NET Framework Microsoft 4.6 e 4.6.1 articolo Base seeMicrosoftKnowledge 3136092.
Status
Microsoft ha confermato che questo è un problema per i prodotti Microsoft elencati nella sezione "Si applica a".

Si applica a

In questo articolo si applica al seguente:

  • I.NET Framework Microsoft 4.6 quando utilizzato con:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft.NET Framework 4.5.2 quando utilizzato con:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft .NET Framework 4.5.1 quando utilizzato con:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1

Avviso: questo articolo è stato tradotto automaticamente

Proprietà

ID articolo: 3118750 - Ultima revisione: 01/15/2016 08:34:00 - Revisione: 4.0

Microsoft .NET Framework 4.6, Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.5.1

  • atdownload kbbug kbexpertiseinter kbfix kbsecbulletin kbsecurity kbsecvulnerability kbmt KB3118750 KbMtit
Feedback